Answer Question
curl --request POST \
--url https://api.example.com/cabinet/polls/{response_id}/questions/{question_id}/answer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_id": 123
}
'import requests
url = "https://api.example.com/cabinet/polls/{response_id}/questions/{question_id}/answer"
payload = { "option_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({option_id: 123})
};
fetch('https://api.example.com/cabinet/polls/{response_id}/questions/{question_id}/answer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"is_completed": true,
"total_questions": 123,
"next_question": {
"id": 123,
"text": "<string>",
"order": 123,
"options": [
{
"id": 123,
"text": "<string>",
"order": 123
}
]
},
"current_question_index": 123,
"reward_granted": 123,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Polls
Answer Question
Submit answer for a poll question.
POST
/
cabinet
/
polls
/
{response_id}
/
questions
/
{question_id}
/
answer
Answer Question
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to answer a poll question.
Response
Successful Response
⌘I
